import { Subject } from "rxjs";
import { IPaginationInstance } from "./pagination-instance";
export declare class PaginationService {
    private static readonly DEFAULT_ID;
    change: Subject<string>;
    get DEFAULT_ID(): string;
    private readonly instances;
    constructor();
    register(instance: IPaginationInstance): void;
    getCurrentPage(id: string): number;
    setCurrentPage(id: string, page: number): void;
    setTotalItems(id: string, totalItems: number): void;
    setItemsPerPage(id: string, itemsPerPage: number): void;
    /**
     * Returns a clone of the pagination instance object matching the id. If no
     * id specified, returns the instance corresponding to the default id.
     */
    getInstance(id?: string): IPaginationInstance;
    /**
     * Check each property of the instance and update any that have changed. Return
     * true if any changes were made, else return false.
     */
    private updateInstance;
}
